Bug 861929 - When cloning VM from snapshot, template is required
When cloning VM from snapshot, template is required
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Ori Liel
RedHat Israel QE
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 07:43 EDT by Petr Dufek
Modified: 2015-09-22 09 EDT (History)
9 users (show)

See Also:
Fixed In Version: si21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:59:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (167.28 KB, text/x-log)
2012-10-01 07:43 EDT, Petr Dufek
no flags Details

  None (edit)
Description Petr Dufek 2012-10-01 07:43:23 EDT
Created attachment 619746 [details]
log

Description of problem:
-----------------------
When cloning VM from snapshot, template is required. 

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
rhevm-3.1.0-16.el6ev.noarch

Steps to Reproduce:
1. send CREATE request to setup/api/vms with the following body:
<vm>
    <name>vm_from_snapshot</name>
    <cluster ....... </cluster>
    <snapshots> .... </snapshots>
</vm>

- then you will receive complaint about missing template parameter
  
Actual results:
---------------
<fault>$
    <reason>Incomplete parameters</reason>$
    <detail>VM [template.id|name] required for add</detail>$
</fault>

Expected results:
-----------------
no need of providing template

Additional info:
----------------
log with the sent request as well as subsequent response is attached
Comment 1 Ori Liel 2012-10-15 10:24:19 EDT
patch posted upstream: 
   http://gerrit.ovirt.org/#/c/8433/

patch merged upstream: 
   commit bcb90fdb432669adefc290ef4c40f6708e60d3e6 

patch posted downstream: 
   https://gerrit.eng.lab.tlv.redhat.com/#/c/2636/

patch merged downstream: 
   b2d8957902cd835a5a66faa89b70038ed7efc800
Comment 2 Petr Dufek 2012-10-22 09:33:39 EDT
verified in si21.1

Note You need to log in before you can comment on or make changes to this bug.